=== debian/changelog ===
sflphone (1.2.0-2) experimental; urgency=low

  * NEW package sflphone-kde
    - Fixes "Please provide the package for KDE front-end" (Closes: #675019)
  * Update Build-Depends:
  * Update Section: comm/ gnome/ kde

 -- Mark Purcell <msp@debian.org>  Mon, 08 Oct 2012 17:26:09 +1100

sflphone (1.2.0-1) experimental; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 08 Sep 2012 16:20:55 +1000
